Module org.jfree.chart3d
Package org.jfree.chart3d.marker

# Class MarkerChangeEvent

java.lang.Object
java.util.EventObject
org.jfree.chart3d.marker.MarkerChangeEvent

All Implemented Interfaces:
  `Serializable`

public class MarkerChangeEvent extends EventObject
An event associated with a change to a `Marker`. These change events will be generated by an marker and broadcast to the axis that owns the marker (in the standard setup, the axis will then trigger its own change e vent to notify the plot that a subcomponent of the axis has changed).
NOTE: This class is serializable, but the serialization format is subject to change in future releases and should not be relied upon for persisting instances of this class.

Since:
  1.2
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`MarkerChangeEvent(Object source, Marker marker)`
Creates a new event.
`MarkerChangeEvent(Marker marker)`
Creates a new event.

## Method Summary

Modifier and Type
Method
Description
`Marker`
`getMarker()`
Returns the marker associated with this event.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MarkerChangeEvent

public MarkerChangeEvent(Marker marker)
Creates a new event.

Parameters:
  `marker` - the marker (`null` not permitted).

### MarkerChangeEvent

public MarkerChangeEvent(Object source, Marker marker)
Creates a new event.

Parameters:
  `source` - the event source.
  `marker` - the marker (`null` not permitted).

## Method Details

### getMarker

public Marker getMarker()
Returns the marker associated with this event.

Returns:
  The marker (never `null`).